Page MenuHomePhabricator

Add a confirmation dialog to Jade
Closed, ResolvedPublic

Description

When a user performs an action, we want to give them a confirmation so that they know that something happened.

This needs some design work. What should the confirmation dialog look like?

Event Timeline

Halfak created this task.Mar 11 2020, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2020, 9:04 PM
Chtnnh added a subscriber: Chtnnh.Mar 12 2020, 9:42 AM
Halfak updated the task description. (Show Details)Mar 18 2020, 1:37 PM

Maybe something like:

"You have successfully <action>"

Actions:

  • "proposed a label"
  • "endorsed a label"
  • "deleted a proposal"
  • "endorsed a proposal"
Halfak triaged this task as Low priority.Mar 24 2020, 5:12 PM
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.
kevinbazira added a subscriber: kevinbazira.

@Halfak I have ended up using the MW bubble notification to give users feedback/confirmation that their action was successful.

Change 585515 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW bubble notification for jade-updateproposal

https://gerrit.wikimedia.org/r/585515

Change 585515 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW bubble notification for jade-updateproposal

https://gerrit.wikimedia.org/r/585515

Great work on this so far @kevinbazira, this approach works well with jade-updateproposal, just tested it on beta. I think it should work for all the other api modules too

Thanks @ACraze, I am going to implement it for for all the other api modules too.

Change 585676 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Fixed Jade bubble notification reload bug

https://gerrit.wikimedia.org/r/585676

Change 585683 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-updateendorsement

https://gerrit.wikimedia.org/r/585683

Change 585676 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Fixed Jade bubble notification reload bug

https://gerrit.wikimedia.org/r/585676

Change 585683 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-updateendorsement

https://gerrit.wikimedia.org/r/585683

Change 586163 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-deleteendorsement

https://gerrit.wikimedia.org/r/586163

Change 586164 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-deleteproposal

https://gerrit.wikimedia.org/r/586164

Change 586163 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-deleteendorsement

https://gerrit.wikimedia.org/r/586163

Change 586164 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-deleteproposal

https://gerrit.wikimedia.org/r/586164

Change 586492 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-endorse

https://gerrit.wikimedia.org/r/586492

Change 586493 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-createandendorse

https://gerrit.wikimedia.org/r/586493

Change 586492 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-endorse

https://gerrit.wikimedia.org/r/586492

Change 586493 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-createandendorse

https://gerrit.wikimedia.org/r/586493

Change 587401 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-setpreference

https://gerrit.wikimedia.org/r/587401

Change 587404 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-moveendorsement

https://gerrit.wikimedia.org/r/587404

Change 587687 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Remove "successfully" from translation messages

https://gerrit.wikimedia.org/r/587687

Change 587690 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-setpreference

https://gerrit.wikimedia.org/r/587690

Change 587401 abandoned by Kevin Bazira:
Added MW message key for jade-setpreference

Reason:
This has been fixed with: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Jade/ /587690

https://gerrit.wikimedia.org/r/587401

Change 587693 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Added MW message key for jade-moveendorsement

https://gerrit.wikimedia.org/r/587693

Change 587404 abandoned by Kevin Bazira:
Added MW message key for jade-moveendorsement

Reason:
This has been fixed with: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Jade/ /587693

https://gerrit.wikimedia.org/r/587404

Change 587687 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Remove "successfully" from translation messages

https://gerrit.wikimedia.org/r/587687

Change 587690 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-setpreference

https://gerrit.wikimedia.org/r/587690

Change 587693 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Added MW message key for jade-moveendorsement

https://gerrit.wikimedia.org/r/587693

Halfak closed this task as Resolved.Mon, Jun 22, 4:37 PM